# Functor Type_equal.Composition_preserves_injectivity

    module Composition_preserves_injectivity: functor (M1 : Injective) -> functor (M2 : Injective) -> Injective  with type 'a t = 'a M1.t M2.t

`Composition_preserves_injectivity` is a functor that proves that composition of injective types is injective.

Parameters:

`M1` | : | `Injective`
`M2` | : | `Injective`

    type 'a t

    val strip : ('a t, 'b t) Type_equal.equal ->
           ('a, 'b) Type_equal.equal